# Created 2016-03-01 by D.Th.
"""Does initialisaton stuff, e.g. checks sqlite-database."""

from pkg_resources import Requirement, resource_filename  # @UnresolvedImport
import os
import shutil
import os.path as op


# Configuration directory management
USER_CONFIG_DIRECTORY = \
    op.join(op.expanduser('~'),
            '.adnite2')  # : user config directory

try:
    SOURCE_CONFIG_DIRECTORY = \
        resource_filename(Requirement.parse("adnite2"),
                          "config")  # : source config directory
except:
    SOURCE_CONFIG_DIRECTORY = '../config'

# Check if config. dir. is installed
if not os.path.exists(USER_CONFIG_DIRECTORY):
    shutil.copytree(SOURCE_CONFIG_DIRECTORY,
                    USER_CONFIG_DIRECTORY)
